# Uses of Class
org.apache.velocity.util.introspection.Introspector

Packages that use Introspector
Package
Description
org.apache.velocity.runtime.parser.node
org.apache.velocity.util.introspection

## Uses of Introspector in org.apache.velocity.runtime.parser.node

Methods in org.apache.velocity.runtime.parser.node that return Introspector
Modifier and Type
Method
Description
`protected Introspector`
PropertyExecutor.`getIntrospector()`
`protected Introspector`
PublicFieldExecutor.`getIntrospector()`
`protected Introspector`
SetPropertyExecutor.`getIntrospector()`
`protected Introspector`
SetPublicFieldExecutor.`getIntrospector()`
Constructors in org.apache.velocity.runtime.parser.node with parameters of type Introspector
Modifier
Constructor
Description
``
`BooleanPropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property)`
``
`BooleanPropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property, boolean wrapArray)`
``
`GetExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property)`
``
`PropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property)`
``
`PropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property, boolean wrapArray)`
``
`PublicFieldExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property)`
``
`PutExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, Object arg, String property)`
``
`SetPropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property, Object arg)`
``
`SetPublicFieldExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property, Object arg)`

## Uses of Introspector in org.apache.velocity.util.introspection

Subclasses of Introspector in org.apache.velocity.util.introspection
Modifier and Type
Class
Description
`class`
`SecureIntrospectorImpl`
Prevent "dangerous" classloader/reflection related calls.
Fields in org.apache.velocity.util.introspection declared as Introspector
Modifier and Type
Field
Description
`protected Introspector`
UberspectImpl.`introspector`
the default Velocity introspector
`protected Introspector`
UberspectPublicFields.`introspector`
the default Velocity introspector